package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @author tianhua
 * @time 2023/8/14
 * @Description 前端展示的游戏区服数据
 **/
@Data
public class GameServerDayVO {

    /**
     * 开服时间
     */
    @ApiModelProperty(value = "开服时间")
    private LocalDate dt;

    /**
     * SDK来源
     */
    @ApiModelProperty(value = "SDK来源")
    private String sourceSystem;

    /**
     * 区服ID
     */
    @ApiModelProperty(value = "区服ID")
    private Long serverId;

    /**
     * 区服名称
     */
    @ApiModelProperty(value = "区服名称")
    private String serverName;

    /**
     * 游戏ID
     */
    @ApiModelProperty(value = "游戏ID")
    private Long gameId;

    /**
     * 游戏名称
     */
    @ApiModelProperty(value = "游戏名称")
    private String gameName;

    /**
     * 游戏类别
     */
    @ApiModelProperty(value = "游戏类别")
    private Long classify;

    /**
     * 滚服人数
     */
    @ApiModelProperty(value = "滚服人数")
    private Long outTotalNum;

    /**
     * 滚服付费人数
     */
    @ApiModelProperty(value = "滚服付费人数")
    private Long outTotalAmountNum;

    /**
     * 滚服付费金额
     */
    @ApiModelProperty(value = "滚服付费金额")
    private BigDecimal outTotalAmount;

    /**
     * 滚服付费占比
     */
    @ApiModelProperty(value = "滚服付费占比")
    private BigDecimal outTotalRate;

    /**
     * 创角人数
     */
    @ApiModelProperty(value = "创角人数")
    private Long totalRoleNum;

    /**
     * 注册人数
     */
    @ApiModelProperty(value = "注册人数")
    private Long totalRegNum;

    /**
     * 付费人数
     */
    @ApiModelProperty(value = "付费人数")
    private Long totalAmountNum;

    /**
     * 付费金额
     */
    @ApiModelProperty(value = "付费金额")
    private BigDecimal totalAmount;

    /**
     * 区服第1天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da1;

    /**
     * 区服在第2天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da2;

    /**
     * 区服在第3天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da3;

    /**
     * 区服在第4天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da4;

    /**
     * 区服在第5天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da5;

    /**
     * 区服在第6天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da6;

    /**
     * 区服在第7天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da7;

    /**
     * 区服在第8天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da8;

    /**
     * 区服在第9天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da9;

    /**
     * 区服在第10天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da10;

    /**
     * 区服在第11天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da11;

    /**
     * 区服在第12天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da12;

    /**
     * 区服在第13天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da13;

    /**
     * 区服在第14天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da14;

    /**
     * 区服在第15天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da15;

    /**
     * 区服在第16天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da16;

    /**
     * 区服在第17天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da17;

    /**
     * 区服在第18天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da18;

    /**
     * 区服在第19天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da19;

    /**
     * 区服在第20天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da20;

    /**
     * 区服在第21天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da21;

    /**
     * 区服在第22天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da22;

    /**
     * 区服在第23天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da23;

    /**
     * 区服在第24天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da24;

    /**
     * 区服在第25天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da25;

    /**
     * 区服在第26天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da26;

    /**
     * 区服在第27天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da27;

    /**
     * 区服在第28天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da28;

    /**
     * 区服在第29天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da29;

    /**
     * 区服在第30天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da30;

    /**
     * 区服在第2月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String m2;

    /**
     * 区服在第3月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String m3;

    /**
     * 区服在第4月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String m4;

    /**
     * 区服在第5月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String m5;

    /**
     * 区服在第6月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String m6;

    /**
     * 区服在第7月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String m7;

    /**
     * 区服在第8月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String m8;

    /**
     * 区服在第9月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String m9;

    /**
     * 区服在第10月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String m10;

    /**
     * 区服在第11月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String m11;

    /**
     * 区服在第1年：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String y1;

    /**
     * 区服至今：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String total;

    /**
     * 区服第1天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第1天")
    private GameServerTrendVO da1Trend;

    /**
     * 区服在第2天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第2天")
    private GameServerTrendVO da2Trend;

    /**
     * 区服在第3天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第3天")
    private GameServerTrendVO da3Trend;

    /**
     * 区服在第4天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第4天")
    private GameServerTrendVO da4Trend;

    /**
     * 区服在第5天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第5天")
    private GameServerTrendVO da5Trend;

    /**
     * 区服在第6天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第6天")
    private GameServerTrendVO da6Trend;

    /**
     * 区服在第7天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第7天")
    private GameServerTrendVO da7Trend;

    /**
     * 区服在第8天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第8天")
    private GameServerTrendVO da8Trend;

    /**
     * 区服在第9天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第9天")
    private GameServerTrendVO da9Trend;

    /**
     * 区服在第10天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第10天")
    private GameServerTrendVO da10Trend;

    /**
     * 区服在第11天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第11天")
    private GameServerTrendVO da11Trend;

    /**
     * 区服在第12天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第12天")
    private GameServerTrendVO da12Trend;

    /**
     * 区服在第13天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第13天")
    private GameServerTrendVO da13Trend;

    /**
     * 区服在第14天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第14天")
    private GameServerTrendVO da14Trend;

    /**
     * 区服在第15天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第15天")
    private GameServerTrendVO da15Trend;

    /**
     * 区服在第16天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第16天")
    private GameServerTrendVO da16Trend;

    /**
     * 区服在第17天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第17天")
    private GameServerTrendVO da17Trend;

    /**
     * 区服在第18天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第18天")
    private GameServerTrendVO da18Trend;

    /**
     * 区服在第19天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第19天")
    private GameServerTrendVO da19Trend;

    /**
     * 区服在第20天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第20天")
    private GameServerTrendVO da20Trend;

    /**
     * 区服在第21天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第21天")
    private GameServerTrendVO da21Trend;

    /**
     * 区服在第22天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第22天")
    private GameServerTrendVO da22Trend;

    /**
     * 区服在第23天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第23天")
    private GameServerTrendVO da23Trend;

    /**
     * 区服在第24天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第24天")
    private GameServerTrendVO da24Trend;

    /**
     * 区服在第25天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第25天")
    private GameServerTrendVO da25Trend;

    /**
     * 区服在第26天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第26天")
    private GameServerTrendVO da26Trend;

    /**
     * 区服在第27天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第27天")
    private GameServerTrendVO da27Trend;

    /**
     * 区服在第28天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第28天")
    private GameServerTrendVO da28Trend;

    /**
     * 区服在第29天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第29天")
    private GameServerTrendVO da29Trend;

    /**
     * 区服在第30天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第30天")
    private GameServerTrendVO da30Trend;

    /**
     * 区服在第2月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第2月")
    private GameServerTrendVO m2Trend;

    /**
     * 区服在第3月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第3月")
    private GameServerTrendVO m3Trend;

    /**
     * 区服在第4月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第4月")
    private GameServerTrendVO m4Trend;

    /**
     * 区服在第5月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第5月")
    private GameServerTrendVO m5Trend;

    /**
     * 区服在第6月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第6月")
    private GameServerTrendVO m6Trend;

    /**
     * 区服在第7月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第7月")
    private GameServerTrendVO m7Trend;

    /**
     * 区服在第8月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第8月")
    private GameServerTrendVO m8Trend;

    /**
     * 区服在第9月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第9月")
    private GameServerTrendVO m9Trend;

    /**
     * 区服在第10月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第10月")
    private GameServerTrendVO m10Trend;

    /**
     * 区服在第11月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第11月")
    private GameServerTrendVO m11Trend;

    /**
     * 区服在第1年：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第1年")
    private GameServerTrendVO y1Trend;

    /**
     * 区服至今：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服至今总数据")
    private GameServerTrendVO totalTrend;

}
